Subject: [p2p-sip] Revised concepts draft

From: sathya at research.panasonic.com (Sathya Narayanan)
Date: Mon, 21 Aug 2006 15:38:16 -0600

I also think drafts should remain separate for now.

IMHO, we should be focusing on the charter right now; the output documents and their scopes should evolve out of the charter. Discussing the documents and their scopes without the base charter seems a bit premature to me.

-Sathya 

----- Original Message -----
From: Henry Sinnreich <hsinnrei at adobe.com>
Date: Monday, August 21, 2006 11:00 am
Subject: Re: [p2p-sip] Revised concepts draft

> I agree the two drafts should remain separate.
> 
> Thanks, Henry
> 
> -----Original Message-----
> From: p2p-sip-bounces at cs.columbia.edu
> [p2p-sip-bounces at cs.columbia.edu] On Behalf Of Bruce Lowekamp
> Sent: Monday, August 21, 2006 11:24 AM
> To: Eunsoo Shim
> Cc: p2p-sip at cs.columbia.edu
> Subject: Re: [p2p-sip] Revised concepts draft
> 
> I think that for now the use-cases draft should remain separate and,
> if there are significant new use cases proposed to add to it, they
> should be added.  We should also revise it to reflect the current
> terminology, of course.  A number of decisions were made about what
> will be in-scope and out-of-scope at the last ad hoc.  In the process
> of forming the WG and finalizing the charter, those decisions will be
> re-examined and formalized/changed.  My understanding is that the
> use-cases document will need to be trimmed, updated, merged, etc at
> that point to reflect use-cases that fall within the proposed 
> scope of
> the charter.  I think merging it with the terminology draft at this
> point would be premature.
> 
> Bruce
> 
> On 8/21/06, Eunsoo Shim <eunsoo at research.panasonic.com> wrote:
> > I think we need to think about what we look for from documenting use
> cases.
> >
> > In my understanding, the current use case draft focuses on 
> listing all
> > possible (and significant) use cases of P2P SIP. It was an 
> effort to
> > convince people of importance and usefulness of P2P SIP in a 
> sense. I
> > think documenting them has some value at least for a while.
> > Another motivation for the draft was to help in identifying the use
> > cases the group should/want to focus on. I am not sure whether 
> this is
> > critical any more considering that the group made a significant
> progress
> > in defining the work items for the initial charter. I wonder what
> other
> > people think about this.
> >
> > Since we introduced many new terms in the terminology and concept
> draft,
> > there arised a need for illustration of the terms, in 
> particular, the
> > roles of the architectural components. However, an illustration 
> of the
> > role of particular architectural component like the P2PSIP Overlay
> Peer
> > Protocol does not have to depend on details of specific use 
> cases. For
> > example, it does not require to say whether it is used in a 
> corporate> network environment or in the global Internet scale. So 
> I am not sure
> we
> > need to integrate the current use case draft and the terminology and
> > concept draft.
> >
> > What we need is general illusrations of the roles of the 
> architectural> components in example architectures. Fortunately 
> there is already a
> > draft doing it, even though using different terms. The architecture
> > described in draft-shim-sipping-p2p-arch-00.txt is almost the 
> same as
> or
> > at least very close to the concepts in the terminology and concept
> > draft. The architecture draft is already being revised to use 
> the same
> > terms defined in the terminology and concept draft.
> >
> > We might want to keep the terminology and concept draft as a
> collection
> > of the terms and basic concepts with their concise definitions 
> so that
> > it can be referred to in most (possibly all) P2P SIP related drafts.
> And
> > we can collect architecture illustrations in the architecture draft,
> > possibly listing some architecture variations. Some stuff like a 
> data> format for user location can be removed from the 
> architecture draft.
> >
> > The final details of what a particular component MAY/SHOULD/MUST do
> and
> > not do will be described in the protocol specification drafts.
> > Eventually people will come up with lots of creative use cases and
> > architecture variations we don't think of now.
> >
> > My 2 cents.
> > Thanks.
> >
> > Eunsoo
> > Scott W Brim wrote:
> >
> > >On 08/21/2006 10:36 AM, Dean Willis allegedly wrote:
> > >
> > >
> > >>I'm amenable, but it is possible that the group might think we
> should
> > >>revise the use cases draft using the language of the concepts and
> > >>terminology draft rather than putting use cases into the concepts
> and
> > >>terminology draft.
> > >>
> > >>What is the "happy medium" here, folks?
> > >>
> > >>
> > >
> > >Concepts and terminology make it possible to talk about use 
> cases and
> > >have some confidence that we agree on what they actually mean.  Use
> > >cases clarify the scope and test the C&T to make sure they are 
> useful> >when applied to the real world.  In general for most WGs 
> I think
> these
> > >two should be together in one draft (call it a "framework").  
> You're> >going to be iterating back and forth anyway, since each 
> depends on
> and
> > >supports the other.  I think we should try the experiment of 
> putting> >them all in one draft.  If it turns out to be more 
> confusing than
> > >having them separate, we can easily separate them again.
> > >_______________________________________________
> > >p2p-sip mailing list
> > >p2p-sip at cs.columbia.edu
> > >https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
> > >
> > >
> >
> > _______________________________________________
> > p2p-sip mailing list
> > p2p-sip at cs.columbia.edu
> > https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
> >
> >
> _______________________________________________
> p2p-sip mailing list
> p2p-sip at cs.columbia.edu
> https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
> 
> _______________________________________________
> p2p-sip mailing list
> p2p-sip at cs.columbia.edu
> https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
>

---

From: eunsoo at research.panasonic.com (Eunsoo Shim)
Date: Mon, 21 Aug 2006 19:28:53 -0400

>IMHO, we should be focusing on the charter right now; the output documents and their scopes should evolve out of the charter. Discussing the documents and their scopes without the base charter seems…
Agreed.
Thanks.

Eunsoo

---

From: dean.willis at softarmor.com (Dean Willis)
Date: Mon, 21 Aug 2006 21:17:39 -0500

Ok, let me re-state the question.

How can we better illustrate what we mean by the concepts and terms  
in the concepts and terminology draft?

I'd like to have it make even MORE sense to a green-field reader.

Is a high level discussion of a few use-cases something that would be  
helpful?

--
Dean

---

From: dbryan at sipeerior.com (David A. Bryan)
Date: Tue, 22 Aug 2006 02:23:14 +0000 GMT

So long as there could still be a deeper, more detailed and comprehensive use cases draft that is referenced, I think a few for example motivators of the most common cases makes good sense.

David
[Sent from my mobile device]

-----Original Message-----
From: Dean Willis <dean.willis at softarmor.com>
Date: Mon, 21 Aug 2006 21:17:39 
To:Eunsoo Shim <eunsoo at research.panasonic.com>
Cc:p2p-sip at cs.columbia.edu
Subject: Re: [p2p-sip] Revised concepts draft

--
Dean

---

From: enrico.marocco at telecomitalia.it (Enrico Marocco)
Date: Tue, 22 Aug 2006 11:16:59 +0200

> Is a high level discussion of a few use-cases something that would be  

I think it would be useful to have a sort of "manifesto" informational 
RFC, both describing use cases and defining the concepts of the P2PSIP 
solution.  However, the editorial work is not trivial and should be done 
by the formed WG; for chartering purpose only concepts and terminology 
should be considered.

--
Enrico
--------------------------------------------------------------------

CONFIDENTIALITY NOTICE

This message and its attachments are addressed solely to the persons above and may contain confidential information. If you have received the message in error, be informed that any use of the content hereof is prohibited. Please return it immediately to the sender and delete the message. Should you have any questions, please contact us by replying to webmaster at telecomitalia.it.

        Thank you

                                        www.telecomitalia.it

--------------------------------------------------------------------

---

From: br at brianrosen.net (Brian Rosen)
Date: Tue, 22 Aug 2006 09:41:35 -0400

Agreed that the charter is the first document we need.
However, the closer we have to an agreed architecture/framework document,
the more likely I believe we will be seen as moving in a direction that is
likely to finish in some reasonable time.

I do agree with David that the current "architecture" document isn't right,
and the concepts draft is.  I also believe that including the primary use
cases in the concepts would be helpful to a new reader.  I'd like to see
other comments on that.

Scope is a big deal in this work group, and one of the things we WILL have
to police ourselves on is scope creep.  While we don't have to, yet, prune
the use cases to those we will consider for our first chartered effort, we
WILL do this quite soon, so be thinking about it.  Choosing the couple that
might go into the concepts document is the beginning of that.  This is not a
kitchen sink effort; we will focus on something we can achieve readily, and
then move on if we need to.  Discussions prior to and at the ad-hoc gave a
lot of people hope this work CAN be scoped reasonably, and that's what we
need to do.

Brian

> From: p2p-sip-bounces at cs.columbia.edu [mailto:p2p-sip-
> bounces at cs.columbia.edu] On Behalf Of Enrico Marocco
> Sent: Tuesday, August 22, 2006 5:17 AM
> To: Dean Willis
> This message and its attachments are addressed solely to the persons above
> and may contain confidential information. If you have received the message
> in error, be informed that any use of the content hereof is prohibited.
> Please return it immediately to the sender and delete the message. Should
> you have any questions, please contact us by replying to
> webmaster at telecomitalia.it.
> 
>         Thank you
> 
>                                         www.telecomitalia.it
>

---

From: enrico.marocco at telecomitalia.it (Enrico Marocco)
Date: Tue, 22 Aug 2006 17:23:24 +0200

> lot of people hope this work CAN be scoped reasonably, and that's what we

The point is that there is not enough consensus on all use cases 
described in the draft.  Adding to the concepts draft only use cases we 
have agreed on, would probably be a good way for justifying the P2PSIP 
work, but would also cause a lot of discussion and maybe disagreement 
around the most important document we actually have.

I think a first reasonable selection could be directly done in the use 
cases draft, perhaps reorganizing the actual use cases in something like 
a "Present" and a "Future" section.  The WG would then create *tools* 
for solving cases in the former section, but would be careful in 
avoiding choices which would then obstacle their application in those in 
the latter section.

However, whether or not we decide to put the in-initial-scope use cases 
in the concepts draft, I would start the selection leaving out those for 
which CS SIP constitutes a practical solution.

CONFIDENTIALITY NOTICE

        Thank you

                                        www.telecomitalia.it

---

From: eunsoo at research.panasonic.com (Eunsoo Shim)
Date: Tue, 22 Aug 2006 15:42:36 -0400

> Is a high level discussion of a few use-cases something that would be 
I am not sure I understand exactly what 'a high level discussion' means.
But please let me propose a way to illustrate some of the architectural
components.

For example, the basic role of the P2PSIP Overlay Peer Protocol can be
illustrated by simply showing a diagram of an overlay network consisting
of two types of nodes (Peers, Clients) and how a query for a P2PSIP
Overlay User Routing Record is performed. I think the diagram can be
similar to Figure 2 in draft-shim-sipping-p2p-arch-00.txt. An example of
P2PSIP Overlay User Routing Record also can be illustrated in the query
procedure.

The concept of Proxy Peer can be illustrated by showing a system and a
call prcedure in which a CS SIP UA calls a UA Peer or UA Client. Figure
3 and 4 in draft-shim-sipping-p2p-arch-00.txt are examples of such a
diagram.

Certainly there may be many ways to explain the terminology and
concepts. I think since all the terminology and concepts are general,
not specific to any use case, those can be illustrated with general or
abstract scenarios/procedures as proposed above. I will be happy to
provide such illustrations for other terms. However, if you feel there
is a better way and it requires to use a specific use case, please
proceed to work on it. I will be hapy to work with you on that, too.

Thanks.

Eunsoo

---

From: eunsoo at research.panasonic.com (Eunsoo Shim)
Date: Tue, 22 Aug 2006 16:13:03 -0400

>likely to finish in some reasonable time.
Certainly an agreed architecture/framework document will help lots of
things a lot.
But as you said, the priority and focus is clear that the charter should
be created and, at this stage, any work including the terminology and
concepts should be positioned as a means to help the charter creation.
The motivation of the terminology and concepts document was exactly that
and it was even mentioned that we would not need complete agreement on
eveything in the document at this stage.

We have been doing groundwork to create charter such a long time. Since
we made a significant progress at the last ad-hoc meeting, I think it is
most effective and crucial to see new charter text reflecting the
progress. If the new charter text requires more groundwork, let's
identify it and do it.

>and the concepts draft is.  
>
I am not sure what you mean by 'not right or right' and what aspect you
are talking about.
But anyway I am not sure either whether it is productive or necessary to
compare drafts at this stage.

>I also believe that including the primary use
>WILL do this quite soon, so be thinking about it.  
>
That's a possible view on the use cases draft.
Another view is to consider it as a collection of all possible use cases
of 'general' P2PSIP including future P2P SIP versions rather than use
cases of the P2PSIP protocol version 1.0.
With the first view, the use case about anonymouse communications will
be probably pruned.  With the second view, the use case will be kept.
I understand the first view but also think there is some value in the
second view.
But the first question should be 'what do we need from use cases
discussion for charter creation'?
My answer is that 'let's write the charter and see'.

>Choosing the couple that
As a general remark about use cases, when we talk about use cases, we
can say we want to make sure these use cases are possible with the
protocol we are going to design but we should not try to say those use
cases are not supported. Who knows what use cases people will create
with the given protocol?

Thanks.

Eunsoo

---

From: br at brianrosen.net (Brian Rosen)
Date: Tue, 22 Aug 2006 16:28:54 -0400

We'll start the charter discussions very soon.

Every "product development" project I ever worked on started with a very
long wish list.  The ones that were the most successful pared down the wish
list to a manageable one early on.  The remaining items stayed on the wish
list, but frankly, are not considered much in the design.

The charter is pretty much the box we will live in.  I'm not sure how you
define the box without defining what use cases are inside the box.

There's always a place to keep the wish list around.

Brian

> From: Eunsoo Shim [mailto:eunsoo at research.panasonic.com]
> Sent: Tuesday, August 22, 2006 4:13 PM
> To: Brian Rosen
> Cc: 'Enrico Marocco'; 'Dean Willis'; p2p-sip at cs.columbia.edu

---

From: br at brianrosen.net (Brian Rosen)
Date: Tue, 22 Aug 2006 16:40:53 -0400

My thinking was that we expand the concepts doc out by adding the use cases
we consider are those we cater for in ver 1.

Keeping the rest in the use case document is fine with me.

Brian

> Sent: Tuesday, August 22, 2006 4:38 PM
> To: Brian Rosen
> I agree with you.
> So my question is whether we want to use the use cases draft as a place
> to keep the wish list or a list of use cases we will enable with VER 1.0.
> I don't have any strong opinion about this but would like to understand
> what the group thinks about it.
> Thanks.
> 
> Eunsoo
> 
> >
> >
> >>>the more likely I believe we will be seen as moving in a direction that
> >>>
> >>>
> >>is
> >>
> >>
> >>>I do agree with David that the current "architecture" document isn't
> >>>
> >>>
> >>right,
> >>
> >>
> >>>Scope is a big deal in this work group, and one of the things we WILL
> >>>
> >>>
> >>have
> >>
> >>
> >>>to police ourselves on is scope creep.  While we don't have to, yet,
> >>>
> >>>
> >>prune
> >>
> >>
> >>>the use cases to those we will consider for our first chartered effort,
> >>>
> >>>
> >>we
> >>
> >>
> >>>might go into the concepts document is the beginning of that.  This is
> >>>
> >>>
> >>not a
> >>
> >>
> >>>kitchen sink effort; we will focus on something we can achieve readily,
> >>>
> >>>
> >>and
> >>
> >>
> >>>then move on if we need to.  Discussions prior to and at the ad-hoc
> gave
> >>>
> >>>
> >>a
> >>
> >>
> >>>>This message and its attachments are addressed solely to the persons
> >>>>
> >>>>
> >>above
> >>
> >>
> >>>>and may contain confidential information. If you have received the
> >>>>
> >>>>
> >>message
> >>
> >>
> >>>>Please return it immediately to the sender and delete the message.
> >>>>
> >>>>
> >>Should
> >>
> >>

---

From: eunsoo at research.panasonic.com (Eunsoo Shim)
Date: Tue, 22 Aug 2006 16:37:52 -0400

I agree with you.

Eunsoo

>>>then move on if we need to.  Discussions prior to and at the ad-hoc gave
>>>      
>>>
>>a
>>    
>>

---

From: steve.leiden at verizon.com (Stevan Leiden)
Date: Wed, 23 Aug 2006 08:16:48 -0500

Motivation by examples is a good thing to include. If someone's coming 
in cold, that gets the thought processes going. Lots of people look at 
this list who don't live in this world much the time.

shl

On Aug 22, 2006, at 8:41 AM, Brian Rosen wrote:

> gave a

---

From: philip_matthews at magma.ca (Philip Matthews)
Date: Wed, 23 Aug 2006 10:57:48 -0400

[Just catching up on my P2PSIP e-mail].

I think we should add some selected use-cases to the Concepts and  
Terminology draft that illustrate the ideas.

- Philip

---

From: spencer at mcsr-labs.org (Spencer Dawkins)
Date: Wed, 23 Aug 2006 10:04:55 -0500

> Terminology draft that illustrate the ideas.

I agree. I think what we're asking in this thread is which use cases we 
should move into the concepts and terminology draft (and I think we should 
move the use cases that support the initial protocol work we are doing), and 
when we move those use cases (I have a slight preference for waiting until 
we are closer to chartering).

I totally agree with Dean's wish to make the concepts and terminology draft 
a reasonable "first document" for newcomers and new implementors.

Thanks,

Spencer